Summary:	GNOME System Tools
Name: 		gnome-system-tools 
Version: 2.18.0
Release: %mkrel 2
License: 	LGPL
Group: 		System/Configuration/Other
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/

Obsoletes:  ximian-setup-tools
Obsoletes:  ximian-setup-tools-devel
Provides:   ximian-setup-tools-devel = %{version}
Provides:   ximian-setup-tools = %{version}-%{release}
BuildRequires:  cracklib-devel
BuildRequires:	libnautilus-devel >= 2.9.3
BuildRequires:  libvte-devel >= 0.10.20
BuildRequires:  gtk2-devel >= 2.9.0
BuildRequires:  libncurses-devel
BuildRequires:  scrollkeeper
BuildRequires:  libmesaglu-devel
BuildRequires:  liboobs-devel >= 2.17.5
BuildRequires:  ImageMagick
BuildRequires:	gnome-doc-utils libxslt-proc
BuildRequires:	desktop-file-utils
#gw for intltool
BuildRequires:	perl-XML-Parser
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: system-tools-backends2 >= 2.2.0-3mdv
Requires: usermode

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

%prep
%setup -q

%build
%configure2_5x --enable-services --enable-boot
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std desktopdir=%_datadir/applications
rm -f %buildroot%_libdir/nautilus/extensions-1.0/libnautilus*a
rm -rf %buildroot/var/lib/scrollkeeper
%{find_lang} %{name}
%{find_lang} boot-admin --with-gnome
%{find_lang} shares-admin --with-gnome
%{find_lang} network-admin --with-gnome
%{find_lang} services-admin --with-gnome
%{find_lang} time-admin --with-gnome
%{find_lang} users-admin --with-gnome
cat *-admin.lang >> %name.lang
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/network-admin" \
needs="x11" \
icon="gnome-fs-network.png" \
section="System/Configuration/Networking" \
title="Networking" \
longtitle="Network adapter setup." xdg="true"
?package(%name): \
command="%_bindir/services-admin" \
needs="x11" \
icon="gnome-fs-server.png" \
section="System/Configuration/Boot and Init" \
title="Services" \
longtitle="Services Manager" xdg="true"
?package(%name): \
command="%_bindir/time-admin" \
needs="x11" \
icon="config-date.png" \
section="System/Configuration/Other" \
title="Time" \
longtitle="Time, date and timezone." xdg="true"
?package(%name): \
command="%_bindir/users-admin" \
needs="x11" \
icon="config-users.png" \
section="System/Configuration/Other" \
title="Users" \
longtitle="Users and groups." xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-BootandInit" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/services.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{network.desktop,shares.desktop}
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{time.desktop,users.desktop}

#symlinks for consolehelper
cd %buildroot
mkdir ./%_sbindir
mv ./%_bindir/* ./%_sbindir
cd ./%_sbindir
for bin in *;do ln -s consolehelper %buildroot%_bindir/$bin;done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%update_menus
%post_install_gconf_schemas %name
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper
%clean_menus
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog 
%_sysconfdir/gconf/schemas/gnome-system-tools.schemas
%{_bindir}/network-admin
%{_bindir}/services-admin
%{_bindir}/shares-admin
%{_bindir}/time-admin
%{_bindir}/users-admin
%{_sbindir}/network-admin
%{_sbindir}/services-admin
%{_sbindir}/shares-admin
%{_sbindir}/time-admin
%{_sbindir}/users-admin
%{_datadir}/%{name}
%{_datadir}/applications/network.desktop
%{_datadir}/applications/services.desktop
%{_datadir}/applications/shares.desktop
%{_datadir}/applications/time.desktop
%{_datadir}/applications/users.desktop
%_datadir/icons/hicolor/*/devices/*
%dir %{_datadir}/omf/*/
%{_datadir}/omf/*/*-C.omf
%_libdir/nautilus/extensions-1.0/libnautilus-gst-shares.so
%_libdir/pkgconfig/gnome-system-tools.pc
%_menudir/%name


%changelog
* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 144949
- update deps
- add usermode support

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141714
- new version

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 130568
- new version

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120324
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112295
- new version

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106897
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 89552
- new version
- handle new icons

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 88433
- bot rebuild
- rebuild
- bot rebuild
- new version

* Sun Nov 05 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.1
+ Revision: 76765
- Import gnome-system-tools



* Sun Nov 05 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.1
- New version 2.15.6

* Sat Sep 30 2006 Gtz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- bump deps
- New version 2.15.5

* Mon Sep 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New version 2.15.4

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- bump deps
- New release 2.15.3

* Sun Aug 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- update file list
- New release 2.15.2

* Thu Aug  3 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- xdg menu
- New release 2.15.1
- fix buildrequires

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-2mdk
- fix buildrequires

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- update file list
- New release 2.14.0

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 1.4.1-2mdk
- replace prereq

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- fix installation
- New release 1.4.1

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdk
- rebuild against openssl-0.9.8

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0
- depend on system-tools-backends
- drop patches
- update file list
- fix buildrequires

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-3mdk
- fix small typo in the patch

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-2mdk 
- Update patch0 to fix Mdk bug #13485

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- add shares component
- requires new libbonobo
- New release 1.1.0

* Mon Sep 27 2004 Olivier Blin <blino@mandrake.org> 1.0.0-2mdk
- Patch0: fix Mandrakelinux platform detection

* Tue Sep 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- New release 1.0.0

* Thu Sep  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.92.0-1mdk
- New release 0.92.0

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91.0-2mdk
- enable services and boot tools

* Fri Aug 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.91.0-1mdk
- New release 0.91.0

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.90.0-1mdk
- add scrollkeeper stuff
- add help files
- New release 0.90.0

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.34.0-1mdk
- drop merged patch 0
- New release 0.34.0

* Sun May 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.33.0-1mdk
- update patch 0
- fix source URL
- New release 0.33.0

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32.0-2mdk
- patch 0: add support for mdk releases 7.0 up to 10.1 (i did *NOT* look at
  profiles support though)
- patch 1: fix networjk interface list (skip editors' backups and 
  system packages' ones)

* Thu Feb  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.32.0-1mdk
- new version

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31.1-2mdk
- fix buildrequires

* Thu Jan  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31.1-1mdk
- new version

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.31.0-1mdk
- fix location of the desktop files
- add backend translation files
- new version

* Tue Dec  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.30.0-1mdk
- new version

* Fri Oct 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.29.0-1mdk
- new version

* Mon Oct 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.28.0-1mdk
- fix buildrequires
- add another pkgconfig file
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27.0-2mdk
- add menu entries

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27.0-1mdk
- update file list
- drop the patch
- new version

* Thu Jun 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.26.1-2mdk
- fix syntax error that prevented startup of time-admin 

* Tue Jun  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.26.1-1mdk
- new version

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.26.0-1mdk
- add pkgconfig file
- drop merged patch
- new version

* Wed May  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.0-2mdk
- patch: work around crash on startup

* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.25.0-1mdk
- new version

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24.0-2mdk
- schemas are no configurtion files 
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24.0-1mdk
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23.0-2mdk
- fix buildrequires

* Sun Feb 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23.0-1mdk
- add missing files
- fix buildrequires
- new version

* Tue Feb 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.22.0-2mdk
- rebuild for new openssl

* Mon Dec  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.22.0-1mdk
- buildrequires cracklib-devel
- remove gal dependancy
- spec fixes
- new version

* Mon Sep 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21.0-1mdk
- Release 0.21.0 - Renamed as GNOME Setup Tools
- Remove patch0 (no longer needed)

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.11.0-2mdk
- BuildRequires
- Rebuild for libgal19

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0
- Switch to implicit dependencies
- Patch0: put files in FHS compliant directories

* Tue Nov 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-7mdk
- Remove explicit dependency on gal

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-6mdk
- Recompiled against gal 0.18

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-5mdk
- Recompiled against gal 0.15

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-4mdk
- Patch0: fix to compile with gal 0.12 (GNOME CVS)
- Recompiled against libgal12

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-3mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-2mdk
- Recompiled against latest gal

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.0-1mdk
- new version
- ximian archiver is now a separate tarball
- updated files list

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Recompiled against latest gal

* Fri Jun 22 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6.0-1mdk
- initial mandrake release
- not libified since ximian archiver might soon be separate from setup tools

* Wed Mar 03 2001 Chema Celorio <chema@ximian.com>
- Fixed http://bugzilla.ximian.com/show_bug.cgi?id=1644
* Wed Nov 29 2000 Ross Golder <rossigee@bigfoot.com>
- Knocked up preliminary RPM spec file, based on gnome-core spec.
